package threads_account

import (
	"net/http"

	"haixun-backend/internal/logic/threads_account"
	"haixun-backend/internal/response"
	"haixun-backend/internal/svc"
)

func GetThreadsOauthConfigHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := threads_account.NewGetThreadsOAuthConfigLogic(svcCtx)
		response.Write(r.Context(), w, l.GetThreadsOAuthConfig(), nil)
	}
}
